読者です 読者をやめる 読者になる 読者になる

RubyGems インストールできない プロキシ

プログラミング

RubyGemsのインストールをしようとしてハマってるのでメモ.
たのしいRuby第3版読んでいて,Nokogiriをインストールしようとしたところ

ERROR:  Could not find a valid gem 'nokogiri' (>= 0) in any repository

ERROR:  While executing gem ... (Gem::RemoteFetcher::FetchError)

Errno::ETIMEDOUT: Operation timed out - connect(2) (http://rubygems.org/latest_specs.4.8.gz)

といったメッセージが.これを行なっているのは高専の学内なので,プロキシが怪しいと思いプロキシが邪魔してRubyGemsでインストールできないときを参考にさせて頂いた.

使ったコマンドは
gem install パッケージ名 -r -p http://your.proxy.hostname:port番号

注意すべきところは
1.http://...とHTTPを使用することを明示
2.:8080のようにプロキシが使用しているポートを明示
とのこと.

これをやったらうまくいった.ありがたや.